<?php
include_once '../../../inc/start.php';
$AjaxResponse = new AjaxResponse();
if(!isPostRequest() || !isRightToken()) {
	$AjaxResponse->status(false)->alert('Ошибка')->send();
}
if (isset($_POST['edit_color'])) {
	$color = check($_POST['color'],null);
	$user_id = $_SESSION['id'];
	if(empty($color)){exit(json_encode(array('status' => '2', 'message' => 'Ошибка! Не смогли записать ваш цвет.')));}
	if(empty($user_id)){exit(json_encode(array('status' => '2', 'message' => 'Ошибка! Не смогли записать ваш ID.')));}
	$unigamecms = pdo()->prepare("UPDATE users SET colors=:color WHERE id=:id LIMIT 1");
	$unigamecms->execute(array(':color' => $color, ':id' => $user_id));
	$STH = null;
	$pdo = null;
	exit(json_encode(array('status' => '1', 'message' => 'Цвет ваших сообщений был изменен.')));
}